difficultés avec blender

Demande d'aide : c'est ici.
Message
Auteur
jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

difficultés avec blender

#1 Messagepar jandelalune » 14 juin 2018, 11:30

Bonjour à tous

après un long temps d'absence sur le forum,(je l'ai utilisé pour me familiariser avec Debian et les multiples paquets dont je me sers, dans cette nouvelle configuration pour moi, je reviens vers vous pour résoudre une difficulté avec Blender

Tout d'abord ce forum, dédié à Debian, me permet-il de poser des questions sur les difficultés que je rencontre avec des paquets divers & variés utilisés sous Debian ? Sinon conseillez moi un site approprié

Maintenant mon problème :
Ma version debian :

Code : Tout sélectionner

erard@gerard-L50:~$ uname -a
Linux gerard-L50 4.9.0-6-amd64 #1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07) x86_64 GNU/Linux
J'utilise entre autres openshot pour le montage vidéo
Ma version openshot :

Code : Tout sélectionner

OpenShot (version 1.4.3)

Dans openshot je cherche à utiliser la fonction Titre/TitreAnimé et là j'obtiens le message suivant :

Code : Tout sélectionner

Le logiciel open source libre, Blender, de création de contenu 3D est requis pour cette action (http://www.blender.org).

Vérifiez dans les préférences d'Openshot que l'éxecutable est le bon. Ce réglage doit être le chemin du programme 'blender' sur votre ordinateur. Vérifiez aussi que votre version de Blender soit 2.62 ou supérieure.

Chemin vers Blender:
/usr/bin/blender

Erreur finale :
No frame was found in the output from Blender
Ma version de Blender :

Code : Tout sélectionner

gerard@gerard-L50:~$ blender -v
Blender 2.78 (sub 0)
Son chemin

Code : Tout sélectionner

gerard@gerard-L50:~$ whereis blender
blender:[b] /usr/bin/blender[/b] /usr/share/blender /usr/share/man/man1/blender.1.gz
Les rares infos que j'ai trouvé sur internet datent de 2012 et leur ancienneté et possible obsolescence sot signalés dans les forums

Je n'ai donc pas osé les utiliser

Quelqu'un pourrait-il m'aider ??

Merci d'avance

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#2 Messagepar piratebab » 14 juin 2018, 19:25

Pour répondre à ta 1ere question, oui, tu peux poser des questions sur un logiciel ayant un paquet debian. On te répondra dans la mesure de nos compétences, sinon on t'orientera vers un forum plus spécialisé vers le logiciel en question.
Pour ta 2eme question, as tu essayé de lancer blender:
- en cliquant sur l'icone dans le menu
- dans un terminal en tapant /usr/bin/blender

dans openshot, regarde ce que tu as dans éditions--> preferences
Chez moi j'ai juste blender, sans préciser le chemin.

R2D21
Messages : 5
Inscription : 20 juin 2018, 22:27
Status : Hors-ligne

Re: difficultés avec blender

#3 Messagepar R2D21 » 21 juin 2018, 11:55

Si j'ai bien compris ce que tu veux c'est que ton chemin dans openshot n'est pas bon. Il faut que tu changes /usr/bin/blender en /usr/share/blender

Avatar de l’utilisateur
funkygoby
Membre
Membre
Messages : 106
Inscription : 15 mai 2016, 15:54
Status : Hors-ligne

Re: difficultés avec blender

#4 Messagepar funkygoby » 22 juin 2018, 19:53

Pour avoir essayé OpenShot et un tas d'autres trucs foireux, je te recommande d'utiliser directement Blender.
C'est un logiciel fantastique!
Trouve toi un ou deux tutos vidéos sur le montage vidéo avec Blender et zou!

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#5 Messagepar jandelalune » 23 juin 2018, 15:04

Bonjour à tous

J'ai du m'absenter dans un lieu où je ne dispose pas d'internet, d'où mon silence, et je reviens vers vous dès mon retour

piratebab : clic sur licône, et blender au terminal , j'ai accès au logiciel, mais ne maitrisant pas du tout ce produit je voudrais y avoir accès directement depuis openshot comme pour inkscape

Si je remplace usr/bin/blender par blender dans les préférences le résultat est identique


R2D21 : j'ai bien un répertoire blender dans /usr/bin et dans /usr/share mais quand je remplace le chemin /usr/bin/blender par /usr/share/blender dans les préférences le résultat est identique

funkygoby : j'aimerais bien utiliser openshot convenablement avant de passer à un autre que je ne maitrise absolument pas

Merci à tous
A+

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#6 Messagepar piratebab » 24 juin 2018, 08:49

lance openshot depuis un terminal.
ensuite, dans openshot, essaie d'utiliser un totre animé, et dis nous ce qu'il raconte dans le terminal. Ce n'est peut étre pas un probleme de chemin d'accès.

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#7 Messagepar jandelalune » 26 juin 2018, 10:37

Salut piratebab
J'ai lancé openshot depuis le terminal, choisi un modèle de titre, Clic Générer: ce qui a entrainé l'apparition du message :

Code : Tout sélectionner

Le logiciel open source libre, Blender, de création de contenu 3D est requis pour cette action (http://www.blender.org).

Vérifiez dans les préférences d'Openshot que l'éxecutable est le bon. Ce réglage doit être le chemin du programme 'blender' sur votre ordinateur. Vérifiez aussi que votre version de Blender soit 2.62 ou supérieure.

Chemin vers Blender:
/usr/bin/blender

Erreur finale :
No frame was found in the output from Blender
et Voici le contenu du terminal avant fermeture de openshot

Code : Tout sélectionner

gerard@gerard-L50:~$ openshot
Added /usr/share/openshot to system path

------------------------- ERROR 1 ------------------------------
Failed to import 'from openshot import main'
Error Message: cannot import name main
----------------------------------------------------------------
Gtk-Message: Failed to load module "canberra-gtk-module"
--------------------------------
   OpenShot (version 1.4.3)
--------------------------------

Detecting formats, codecs, and filters...
---
video_codecs:
  - a64multi
  - a64multi5
  - alias_pix
  - amv
  - apng
  - asv1
  - asv2
  - avrp
  - avui
  - ayuv
  - bmp
  - cinepak
  - cljr
  - dnxhd
  - dpx
  - dvvideo
  - ffv1
  - ffvhuff
  - flashsv
  - flashsv2
  - flv
  - gif
  - h261
  - h263
  - h263p
  - hap
  - huffyuv
  - jpeg2000
  - jpegls
  - ljpeg
  - mjpeg
  - mpeg1video
  - mpeg2video
  - mpeg4
  - msmpeg4v2
  - msmpeg4
  - msvideo1
  - pam
  - pbm
  - pcx
  - pgm
  - pgmyuv
  - png
  - ppm
  - prores
  - prores_aw
  - prores_ks
  - qtrle
  - r10k
  - r210
  - rawvideo
  - roqvideo
  - rv10
  - rv20
  - sgi
  - snow
  - sunrast
  - svq1
  - targa
  - tiff
  - utvideo
  - v210
  - v308
  - v408
  - v410
  - vc2
  - wrapped_avframe
  - wmv1
  - wmv2
  - xbm
  - xface
  - xwd
  - y41p
  - yuv4
  - zlib
  - zmbv
  - libopenjpeg
  - libtheora
  - libvpx
  - libvpx-vp9
  - libx264
  - libx264rgb
  - libx265
  - libxvid
  - libopenh264
  - h264_nvenc
  - h264_qsv
  - h264_vaapi
  - nvenc
  - nvenc_h264
  - nvenc_hevc
  - hevc_nvenc
  - hevc_qsv
  - hevc_vaapi
  - libkvazaar
  - mjpeg_vaapi
  - mpeg2_qsv
  - mpeg2_vaapi
  - vp8_vaapi
...
---
audio_codecs:
  - comfortnoise
  - s302m
  - aac
  - ac3
  - ac3_fixed
  - alac
  - dca
  - eac3
  - flac
  - g723_1
  - mlp
  - mp2
  - mp2fixed
  - nellymoser
  - opus
  - real_144
  - sonic
  - sonicls
  - truehd
  - tta
  - vorbis
  - wavpack
  - wmav1
  - wmav2
  - pcm_alaw
  - pcm_f32be
  - pcm_f32le
  - pcm_f64be
  - pcm_f64le
  - pcm_mulaw
  - pcm_s8
  - pcm_s8_planar
  - pcm_s16be
  - pcm_s16be_planar
  - pcm_s16le
  - pcm_s16le_planar
  - pcm_s24be
  - pcm_s24daud
  - pcm_s24le
  - pcm_s24le_planar
  - pcm_s32be
  - pcm_s32le
  - pcm_s32le_planar
  - pcm_s64be
  - pcm_s64le
  - pcm_u8
  - pcm_u16be
  - pcm_u16le
  - pcm_u24be
  - pcm_u24le
  - pcm_u32be
  - pcm_u32le
  - roq_dpcm
  - adpcm_adx
  - g722
  - g726
  - adpcm_ima_qt
  - adpcm_ima_wav
  - adpcm_ms
  - adpcm_swf
  - adpcm_yamaha
  - libfdk_aac
  - libgsm
  - libgsm_ms
  - libilbc
  - libmp3lame
  - libopencore_amrnb
  - libopus
  - libshine
  - libspeex
  - libvo_amrwbenc
  - libvorbis
...
---
formats:
  - a64
  - ac3
  - adts
  - adx
  - aiff
  - amr
  - apng
  - asf
  - ass
  - ast
  - asf_stream
  - au
  - avi
  - avm2
  - bit
  - caf
  - cavsvideo
  - crc
  - dash
  - data
  - daud
  - dirac
  - dnxhd
  - dts
  - dv
  - eac3
  - f4v
  - ffm
  - ffmetadata
  - fifo
  - filmstrip
  - flac
  - flv
  - framecrc
  - framehash
  - framemd5
  - g722
  - g723_1
  - gif
  - gsm
  - gxf
  - h261
  - h263
  - h264
  - hash
  - hds
  - hevc
  - hls
  - ico
  - ilbc
  - image2
  - image2pipe
  - ipod
  - ircam
  - ismv
  - ivf
  - jacosub
  - latm
  - lrc
  - m4v
  - md5
  - matroska
  - matroska
  - microdvd
  - mjpeg
  - mlp
  - mmf
  - mov
  - mp2
  - mp3
  - mp4
  - mpeg
  - vcd
  - mpeg1video
  - dvd
  - svcd
  - mpeg2video
  - vob
  - mpegts
  - mpjpeg
  - mxf
  - mxf_d10
  - mxf_opatom
  - null
  - nut
  - oga
  - ogg
  - ogv
  - oma
  - opus
  - alaw
  - mulaw
  - f64be
  - f64le
  - f32be
  - f32le
  - s32be
  - s32le
  - s24be
  - s24le
  - s16be
  - s16le
  - s8
  - u32be
  - u32le
  - u24be
  - u24le
  - u16be
  - u16le
  - u8
  - psp
  - rawvideo
  - rm
  - roq
  - rso
  - rtp
  - rtp_mpegts
  - rtsp
  - sap
  - scc
  - segment
  - stream_segment,ssegment
  - singlejpeg
  - smjpeg
  - smoothstreaming
  - sox
  - spx
  - spdif
  - srt
  - swf
  - tee
  - 3g2
  - 3gp
  - mkvtimestamp_v2
  - truehd
  - tta
  - uncodedframecrc
  - vc1
  - vc1test
  - voc
  - w64
  - wav
  - webm
  - webm_dash_manifest
  - webm_chunk
  - webp
  - webvtt
  - wtv
  - wv
  - yuv4mpegpipe
  - chromaprint
  - alsa
  - caca
  - fbdev
  - opengl
  - oss
  - pulse
  - sdl,sdl2
  - sndio
  - v4l2
  - xv
...
state saved
Not the primary instance of OpenShot. Not starting queue watcher thread.
on_mnu3dTitle_activate called with self.GtkImageMenuItem
on_treeTemplates_button_release_event
Done with Render() method
Blender command: /usr/bin/blender -b '/usr/share/openshot/openshot/blender/blend/dissolve.blend' -P '/home/gerard/.openshot/blender/a0edd262-791a-11e8-89e6-0c54a5550008/dissolve.py'
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
Traceback (most recent call last):
  File "/home/gerard/.openshot/blender/a0edd262-791a-11e8-89e6-0c54a5550008/dissolve.py", line 367, in <module>
    createDissolveText(params["title"],params["extrude"],params["bevel_depth"],params["spacemode"],params["text_size"],params["width"], font)
  File "/home/gerard/.openshot/blender/a0edd262-791a-11e8-89e6-0c54a5550008/dissolve.py", line 111, in createDissolveText
    ActiveObjectText.data.align=spacemode
AttributeError: 'TextCurve' object has no attribute 'align'
No frame was found in the output from Blender
Blender render thread finished

A la fermeture de openshot se rajoute 2 lignes

Code : Tout sélectionner

on_mnuQuit1_activate called with self.GtkImageMenuItem
on_frmMain_destroy
Merci pour ton aide

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#8 Messagepar piratebab » 26 juin 2018, 11:49

Pour supprimer la première erreur, tu peux déja installer le module manquant qui est dans le paquet libcanberra-gtk-module
Pour Blender, j'ai l'impression que le premier message nous induit en erreur. Ce n'est pas qu'il ne trouve pas blender (le chemin est bon d'aprés le premiers tests), c'est qu'il n'arrive pas un attribu de l'objet ActiveObjectText.data.align=spacemode.
Si je comprends bien c'est lié au titre animé que tu veux utiliser.
As tu essayé plusieurs titres différents ?

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#9 Messagepar piratebab » 26 juin 2018, 11:53

Il semblerait que ce soit un bug repertoriéhttps://github.com/OpenShot/openshot-qt/commit/e5d1cb9d6062885e582eded0bca906b5feeaea2e
C'est lié à une version d'API si j'ai bien compris.
Il faut remplacer tout les -text_object.align par des text_object.align_x dans le script qui genere le titre animé via blender.
Ce bug date de début 2017.
Vérifie que tu as bien la version de blender compatible avec ta version d'openshot

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#10 Messagepar jandelalune » 26 juin 2018, 14:27

Salut piratebab

1 / J'ai téléchargé le pmodule libcanberra-gtk-module Mais j'ai toujours le même message (si ildevait corriger cette erreur)

Je suppose que ma version de blender est compatible avec la version openshot dans la mesure où l'installation s'est faite dans le cadre de l'intallation de openshot, comme pour inkscape d'ailleurs

Code : Tout sélectionner

OpenShot (version 1.4.3)
gerard@gerard-L50:~$ blender -v
Blender 2.78 (sub 0)
Comment m'en assurer plus précisément ??

2 / l'erreur est vraie avec plusieurs titres

3 / j'ai bien compris que j'ai des modifications à faire sur le script src/blender/scripts/blinds.py, daprès le site que tu as précisé
Mais mes connaissances en la matière sont limitées : j'ai essayé avec nano mais je ne trouve pas le script ou les scripts proposé
Comment faire ?? Merci de m'aider encor

A+

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#11 Messagepar piratebab » 26 juin 2018, 20:49

Le problème est que tu as une version de blender trop en avance sur celle d'openshot. On retrouve partout la même explication:
I think it has to do with changes in the Blender Python API. The Python scripts included with OpenShot set some parameters that are passed to Blender and one of them text_object.align needs to be changed to text_object.align_x. I changed 16 files (blinds, blur, colors, defocus, explode, fly by 1, fly by 2 titles, glare, glass slider, halo zoom out, neon curves, rotate 360, slide left to right, trees, wireframe text, zoom clapboard) which now work when called from OpenShot. Go out for lunch while you wait for the render
Corriger à la main tout les scripts python fournis par openshot risque d'étre long et fastidieux.
. Si tu regardes les dépendances d'openshot, il est suggéré une version mini de blender, mais pas une maxi. Et en 2.78, blender à changé son API python ....
Le plus simple serait de mettre à jour openshot (le bug #379 est corrigé depuis mars 2017). Il te faudrait la 2.4.1, disponible dans buster.

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#12 Messagepar jandelalune » 28 juin 2018, 08:15

Salut piratebab

Merci pour ta réponse :

"Le plus simple serait de mettre à jour openshot (le bug #379 est corrigé depuis mars 2017). Il te faudrait la 2.4.1, disponible dans buster."

Mais là sa formulation dépasse largement mes compétences et rentrer buster dans google ne m'a rien apporter

Pourrais tu être plus précis quant à la méthode à utiliser pour mettre à jour 2.78 vers une version inférieure 2.4.1 ??

Merci d'avance pour ta patience

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#13 Messagepar piratebab » 28 juin 2018, 08:24

C'est openshot qu'il faut monter de version, pas descendre celle de blender!
Buster c'est la version testing de debian.
On va y aller par étape.
Pour commencer, donne nous le contenu de ton fichier sources.list.

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#14 Messagepar jandelalune » 28 juin 2018, 18:50

Me revoilà !!!

Et mon fichier sources list

Code : Tout sélectionner

deb http://deb.debian.org/debian stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non$

deb http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://deb-multimedia.org stretch main non-free
Merci & à+

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#15 Messagepar piratebab » 28 juin 2018, 21:04

Je ne suis pas un pro du pinning. L'idée de l'opération est que tu ai accés aux dépots de la version testing de debian (buster), mais ta version restera la stable (stretch)
https://en.wikipedia.org/wiki/Debian_ve ... _(Stretch)
Tu vas commencer par ajouter les lignes suivantes à ton fichier sources .list

Code : Tout sélectionner

# backports
deb http://ftp.debian.org/debian stretch-backports main
# testing
deb http://ftp.debian.org/debian testing main non-free contrib
Ensuite, tu crées un fichier /etc/apt/preferences

Code : Tout sélectionner

#for stable
 
Package: *
Pin: release a=stretch
Pin-Priority: 1001

Package: *
Pin: release a=stretch-backports
Pin-Priority: 700

#for testing
 
Package: *
Pin: release a=testing
Pin-Priority: 650
Ensuite, avant de faire la moindre mise à jour ou installation de paquets, poste le résultat de

Code : Tout sélectionner

apt-cache policy
Afin de vérifier que tout est bien configuré
Je ne sais plus si il faut faire un apt-get update avant la vérif

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#16 Messagepar piratebab » 28 juin 2018, 21:46

en attendant que tu fasses les modifs, je t'explique comment ça fonctionne.
Si tu veux une version d'un packet plus récent que celle de ta version stable (disons le paqet openshot), tu commences par regarder dans les backports

Code : Tout sélectionner

apt-get -t stretch-backports install openshot
Si tu ne trouves pas plus récent, tu vas chercher dans testing

Code : Tout sélectionner

apt-get -t testing install openshot

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#17 Messagepar jandelalune » 04 juil. 2018, 23:56

Salut piratebab,

Dès mon retour, je profite de la liaison internet pour te répondre

Voilà mon nouveau sources;list

Code : Tout sélectionner

deb http://deb.debian.org/debian stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non$

deb http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://deb-multimedia.org stretch main non-free

# backports
deb http://ftp.debian.org/debian stretch-backports main
# testing
deb http://ftp.debian.org/debian testing main non-free contrib
et mon nouveau fichier /etc/apt/preferences

Code : Tout sélectionner

# multimedia
Package: *
Pin: release o=Unofficial Multimedia Packages
Pin-Priority: 10

#for stable

Package: *
Pin: release a=stretch
Pin-Priority: 1001

Package: *
Pin: release a=stretch-backports
Pin-Priority: 700

#for testing

Package: *
Pin: release a=testing
Pin-Priority: 650
et pour finir le résultat

Code : Tout sélectionner

gerard@gerard-L50:~$ su -
Mot de passe : 
No directory, logging in with HOME=/
root@gerard-L50:/# apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
  10 http://deb-multimedia.org stretch/non-free amd64 Packages
     release v=9.4,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin deb-multimedia.org
  10 http://deb-multimedia.org stretch/main amd64 Packages
     release v=9.4,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin deb-multimedia.org
 500 http://deb.debian.org/debian stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://security.debian.org/debian-security stretch/updates/non-free amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 http://deb.debian.org/debian stretch/non-free amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/contrib amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/main amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
root@gerard-L50:/# 
Merci pour la suite
A+

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#18 Messagepar piratebab » 05 juil. 2018, 13:36

Le résultat de la sortie de la commande policy ne reflete pas les niveaux de priorités que tu as dans ton fichier prederences!
Tait un update, et refais policy.

jandelalune
Membre
Membre
Messages : 75
Inscription : 29 janv. 2018, 19:01
Status : Hors-ligne

Re: difficultés avec blender

#19 Messagepar jandelalune » 05 juil. 2018, 23:53

Salut piratebab et merci

1 / Update

Code : Tout sélectionner

gerard@gerard-L50:~$ su -
Mot de passe : 
No directory, logging in with HOME=/
root@gerard-L50:/# apt update
Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://security.debian.org/debian-security stretch/updates InRelease [94,3 kB]
Réception de:3 http://ftp.debian.org/debian stretch-backports InRelease [91,8 kB]
Réception de:4 http://deb-multimedia.org stretch InRelease [33,4 kB]           
Réception de:5 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Réception de:6 http://ftp.debian.org/debian testing InRelease [150 kB]         
Err:4 http://deb-multimedia.org stretch InRelease                              
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
Réception de:7 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [369 kB]
Atteint:8 http://deb.debian.org/debian stretch Release                         
Réception de:9 http://ftp.debian.org/debian testing/main amd64 Packages.diff/Index [27,9 kB]
Réception de:10 http://ftp.debian.org/debian testing/main Translation-en.diff/Index [27,9 kB]
Réception de:12 http://ftp.debian.org/debian testing/main amd64 Packages 2018-07-05-1402.37.pdiff [33 B]
Réception de:13 http://ftp.debian.org/debian testing/main amd64 Packages 2018-07-05-1959.04.pdiff [422 B]
Réception de:13 http://ftp.debian.org/debian testing/main amd64 Packages 2018-07-05-1959.04.pdiff [422 B]
Réception de:14 http://ftp.debian.org/debian testing/main Translation-en 2018-07-05-1402.37.pdiff [33 B]
Réception de:14 http://ftp.debian.org/debian testing/main Translation-en 2018-07-05-1402.37.pdiff [33 B]
Réception de:15 http://ftp.debian.org/debian testing/main amd64 DEP-11 Metadata [3 540 kB]
Réception de:16 http://ftp.debian.org/debian testing/main DEP-11 64x64 Icons [7 094 kB]
Lecture des listes de paquets... Fait                                          
W: Erreur de GPG : http://deb-multimedia.org stretch InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
E: The repository 'http://deb-multimedia.org stretch InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@gerard-L50:/# 
2 / Policy

Code : Tout sélectionner

root@gerard-L50:/# apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 650 http://ftp.debian.org/debian testing/contrib amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=contrib,b=amd64
     origin ftp.debian.org
 650 http://ftp.debian.org/debian testing/non-free amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=non-free,b=amd64
     origin ftp.debian.org
 650 http://ftp.debian.org/debian testing/main amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=main,b=amd64
     origin ftp.debian.org
 700 http://ftp.debian.org/debian stretch-backports/main amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=amd64
     origin ftp.debian.org
  10 http://deb-multimedia.org stretch/non-free amd64 Packages
     release v=9.4,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin deb-multimedia.org
  10 http://deb-multimedia.org stretch/main amd64 Packages
     release v=9.4,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin deb-multimedia.org
 500 http://deb.debian.org/debian stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://security.debian.org/debian-security stretch/updates/non-free amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 http://deb.debian.org/debian stretch/non-free amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/contrib amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/main amd64 Packages
     release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
root@gerard-L50:/# 
Merci & à+

Avatar de l’utilisateur
piratebab
Modérateur
Modérateur
Messages : 2544
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Re: difficultés avec blender

#20 Messagepar piratebab » 06 juil. 2018, 10:46

Là c'est OK, tu as bien la testing moins prioritaire que la stable.
Pour piocher openshot dans la testing, tu fais
apt-get install -t testing openshot

Et il devrait te proposer d'installer une version plus récente que celle que tu as.


Revenir à « Support Debian »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Google [Bot] et 6 invités